# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
  source "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
fi

ZINIT_HOME="${XDG_DATA_HOME:-${HOME}/.local/share}/zinit/zinit.git"
[ ! -d $ZINIT_HOME ] && mkdir -p "$(dirname $ZINIT_HOME)"
[ ! -d $ZINIT_HOME/.git ] && git clone https://github.com/zdharma-continuum/zinit.git "$ZINIT_HOME"
source "${ZINIT_HOME}/zinit.zsh"

zinit ice depth=1; zinit light romkatv/powerlevel10k

# add in zsh plugins
zinit light zsh-users/zsh-syntax-highlighting
zinit light zsh-users/zsh-completions
zinit light zsh-users/zsh-autosuggestions
zinit light Aloxaf/fzf-tab

# Load completions
autoload -U compinit && compinit


# To customize prompt, run `p10k configure` or edit ~/.p10k.zsh.
[[ ! -f ~/.p10k.zsh ]] || source ~/.p10k.zsh

#History
HISTSIZE=10000
HISTFILE=~/.zsh_history
SAVEHIST=$HISTSIZE
HISTDUP=erase
setopt appendhistory
setopt sharehistory
setopt hist_ignore_space
setopt hist_ignore_all_dups
setopt hist_save_no_dups
setopt hist_ignore_dups
setopt hist_find_no_dups

zstyle ':completion:*' matcher-list 'm:{a-z}={A-Za-z}'
zstyle ':completion:*' list-colors "${(s.:.)LS_COLORS}"
zstyle ':completion:*' menu no
zstyle ':fzf-tab:complete:cd:*' fzf-preview 'ls --color $realpath'

alias vim="nvim"
alias cls="clear"
alias update="yay -Syu --noconfirm"
alias femboy="echo '$USER is a femboy'"
alias shut="shutdown now"
alias re="reboot"
alias dragon-drop="GDK_BACKEND=x11 dragon-drop"
alias ls="ls --color"
alias sshserver="ssh -i ~/.ssh/GlaServer00 81.21.121.109"
alias timeshift-gui="sudo -E timeshift-launcher"
alias ollama_start="HSA_OVERRIDE_GFX_VERSION=10.3.0 ollama serve"
export EDITOR=nvim
alias switchhack="fusee-nano ~/Downloads/switchhack/hekate_ctcaer_6.3.0.bin"
alias moonpi='ssh 192.168.178.35 "SDL_AUDIODRIVER=alsa moonlight-qt stream -1080 -fps 60 --audio-on-host 192.168.178.25 "BigPicture""'
alias shutmoonpi='ssh 192.168.178.35 "moonlight-qt quit 192.168.178.25 "BigPicture"; killall moonlight-qt"'
eval "$(fzf --zsh)"
eval "$(zoxide init --cmd cd zsh)"
